from django.shortcuts import get_object_or_404, render
from settings.models import SnomPhone, SnomFunctionKey
from django.urls import reverse


def mac_settings(request, mac_address):
    settings = get_object_or_404(SnomPhone, mac_address=mac_address)
    function_keys = SnomFunctionKey.objects.filter(phone_type=settings.phone_type)

    phonebook_url = request.build_absolute_uri(reverse("phonebook_index"))

    context = {
        "settings": settings,
        "function_keys": function_keys,
        "phonebook_url": phonebook_url,
    }
    return render(request, "settings/settings.xml", context, content_type="text/xml")